%define anolis_release 1
%global pypi_name jdcal

Name:           python-%{pypi_name}
Version:        1.4.1
Release:        %{anolis_release}%{?dist}
Summary:        Julian dates from proleptic Gregorian and Julian calendars

License:        BSD
URL:            https://github.com/phn/jdcal
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
This module contains functions for converting between Julian dates and calendar
dates.

A function for converting Gregorian calendar dates to Julian dates, and another
function for converting Julian calendar dates to Julian dates are defined.
Two functions for the reverse calculations are also defined.

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
This module contains functions for converting between Julian dates and calendar
dates.

A function for converting Gregorian calendar dates to Julian dates, and another
function for converting Julian calendar dates to Julian dates are defined.
Two functions for the reverse calculations are also defined.

Python 3 version.

%package -n     python3-%{pypi_name}-doc
Summary:        doc files for python3-%{pypi_name}
Requires:       python3-%{pypi_name} = %{EVR}

%description -n python3-%{pypi_name}-doc
doc files for python3-%{pypi_name}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}*
%{python3_sitelib}/__pycache__/%{pypi_name}*

%files -n python3-%{pypi_name}-doc 
%doc README.rst

%changelog
* Tue Dec 26 2023 happy_orange <songnannan@linux.alibaba.com> - 1.4.1-1
- init package from upstream because this package is required by python-et_xmlfile
